PHP Manual
Prev |  | Next

# posix_mkfifo

(PHP 3 >= 3.0.13, PHP 4, PHP 5)

posix_mkfifo -- Create a fifo special file (a named pipe)

## Description

bool posix_mkfifo ( string pathname, int mode )

posix_mkfifo() creates a special `FIFO` file which exists in the file system and acts as a bidirectional communication endpoint for processes.

## Parameters

`pathname`

  Path to the `FIFO` file.

`mode`

  The second parameter `mode` has to be given in octal notation (e.g. 0644). The permission of the newly created `FIFO` also depends on the setting of the current umask(). The permissions of the created file are (mode & ~umask).

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Notes

> Note: When safe mode is enabled, PHP checks whether the files or directories you are about to operate on have the same UID (owner) as the script that is being executed.

Prev | Home | Next
posix_kill | Up | posix_mknod